My favorite plug-in doesn't work anymore Rated 5 out of 5 stars

Like many others I suffer form the compatibility problem with Firefox nightly 15.0a1. It worked in 15.0a1 with many daily updates until the update of the 10th of May. Now whatever I try I don't get it back working. Please try to repair this, I need my favorite plug-in :)

This review is for a previous version of the add-on (2.0.21).